<?php
class eventclass_trip_ticket_detail  extends TableEventsBase {
	
	function init() {
		$this->events = array(
	'OnPageLoad' => true 
);
		$this->fieldValues = array(
	'filterLimit' => array(
		 
	),
	'mapIcon' => array(
		 
	),
	'viewCustom' => array(
		 
	),
	'lookupWhere' => array(
		 
	),
	'viewFileText' => array(
		 
	),
	'defaultValue' => array(
		'trip_date' => array(
			'edit' => true 
		),
		'departure_source_type' => array(
			'edit' => true 
		),
		'arrival_source_type' => array(
			'edit' => true 
		) 
	),
	'autoUpdateValue' => array(
		 
	),
	'uploadFolder' => array(
		 
	),
	'viewPluginInit' => array(
		 
	),
	'editPluginInit' => array(
		 
	) 
);
			}
	
	public function default_trip_date_efedit(  ) {
	$defaultValue = Now();
return $defaultValue;
}

public function default_departure_source_type_efedit(  ) {
	$defaultValue = WAREHOUSE;
return $defaultValue;
}

public function default_arrival_source_type_efedit(  ) {
	$defaultValue = WAREHOUSE;
return $defaultValue;
}	

}


?>